Package org.picocontainer.visitors

# Class AbstractPicoVisitor.PicoVisitorTraversalException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.picocontainer.PicoException
org.picocontainer.visitors.AbstractPicoVisitor.PicoVisitorTraversalException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `AbstractPicoVisitor`

public static class AbstractPicoVisitor.PicoVisitorTraversalException extends PicoException
Exception for a PicoVisitor, that is dependent on a defined starting point of the traversal. If the traversal is not initiated with a call of `PicoVisitor.traverse(java.lang.Object)`

Author:
  joehni
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`PicoVisitorTraversalException(PicoVisitor visitor)`
Construct the PicoVisitorTraversalException.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PicoVisitorTraversalException

public PicoVisitorTraversalException(PicoVisitor visitor)
Construct the PicoVisitorTraversalException.

Parameters:
  `visitor` - The visitor casing the exception.